Summary: Integrated Development Environment
Name:    anjuta
Version: 2.0.2
Release: 11%{?dist}
License: GPL
Group:   Development/Tools
URL:     http://www.anjuta.org
Source0: http://kent.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0: anjuta-dialog.patch
Patch1: scintillagtk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: anjuta-gdl, gnome-build, graphviz, neon, autogen, gettext
BuildRequires: libgnomeprintui22-devel, vte-devel, pcre-devel, devhelp-devel, anjuta-gdl-devel, gnome-build-devel, graphviz-devel, neon-devel, scrollkeeper, perl(XML::Parser), autogen-devel, gettext-devel, gtksourceview-devel, pkgconfig, libtool, autogen-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Epoch: 1

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
on GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense autocompletions, symbol navigation,
version controls, integrated GUI designing and other tools.

%package devel
Summary: Libraries and include files for Anjuta plugins development
Group:   Development/Libraries
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: libgnomeui-devel, libglade2-devel, pkgconfig

%description devel
Libraries, header files and API docs for developing Anjuta plugins

%package docs
Summary: Anjuta 2 documentation
Group: Documentation
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description docs
Anjuta 2 documentation

%prep
%setup -q
sed -i 's/\r//' doc/ScintillaDoc.html
%{_bindir}/iconv -t UTF-8 THANKS -o THANKS
%{_bindir}/iconv -t UTF-8 COPYING -o COPYING
%{_bindir}/iconv -t UTF-8 NEWS -o NEWS
%{_bindir}/iconv -t UTF-8 README -o README
chmod 644 scintilla/*.cxx
chmod 644 scintilla/*.h
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig

%build
%configure --disable-static --disable-plugin-subversion --enable-nls
%define libnoprefix %(echo %_libdir | sed 's,%_prefix/,,')
sed -i -e 's!\(.*PACKAGE_PLUGIN_DIR@,.*\)lib\(/anjuta.*\)!\1%{libnoprefix}\2!g' config.status ; ./config.status
make LIBTOOL=%{_bindir}/libtool %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} INSTALL="install -c -p" install
%find_lang %{name}

desktop-file-install --vendor fedora --delete-original \
  --dir %{buildroot}/%{_datadir}/applications      \
  --add-category X-Fedora                              \
  %{buildroot}%{_datadir}/applications/%{name}.desktop

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
find %{buildroot} -type f -name "*.a" -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%post docs
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :

%postun docs
scrollkeeper-update -q || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc doc/ScintillaDoc.html
%{_bindir}/%{name}*
%{_bindir}/create_global_tags.sh
%{_bindir}/test_tm_buffer
%{_libdir}/lib%{name}*.so.*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}
%{_datadir}/doc/%{name}
%{_datadir}/application-registry/%{name}.applications
%{_datadir}/mime-info/%{name}.mime
%{_datadir}/mime-info/%{name}.keys
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/hicolor/48x48/apps/anjuta*
%{_datadir}/icons/hicolor/scalable/apps/anjuta*
%{_datadir}/icons/gnome/48x48/mimetypes/*%{name}.png
%{_mandir}/man1/anjuta*

%files docs
%defattr(-,root, root, -)
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}

%files devel
%defattr (-, root, root)
%{_includedir}/*%{name}*
%{_libdir}/pkgconfig/*%{name}*
%{_libdir}/lib%{name}*.so
%{_datadir}/gtk-doc/html/*%{name}*

%changelog
* Tue Nov 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-11
- scintilla gtk fix

* Wed Nov 08 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-10
- add patch for close dialog on the about window
- renamed spec file to anjuta

* Sat Oct 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-9
- rebuild against new libopts

* Tue Oct 17 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-8
- fix the INSTALL line in install
- fixed encoding on text files
- removed two docs (not really needed)
- fixed ldconfig

* Sun Oct 15 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-7
- install keeps timestampe
- now keeps time stamps
- lots of BRs removed
- Moved docs Rs to the correct place
- fixed encodings

* Sat Oct 14 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-6
- removed RPM_BUILD_ROOT
- fixed devel package
- altered update-mime-database
- fixed debuginfo permission problems
- altered R and BR

* Wed Oct 11 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-5
- re-enabled docs
- multiple spec fixes
- spec file clean
- added gtksourceview-devel and gtksourceview to BR and R

* Thu Jun 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-2
- Lotza fixes!

* Tue May 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.2-1
- bump to new version 

* Thu Apr 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-3
- removed the hack from anjuta (1.2.4a)
- added anjuta-docs subpackage

* Wed Apr 26 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-2
- removed smp_flags

* Tue Feb 21 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0.1-1
- Initial import for FC
- Sanitised the spec file somewhat
- Removed .a and .la files
